/// <reference types="node" />
import { EventEmitter } from 'events';
import { WsException } from '@nestjs/websockets';
import { Logger } from '../../core/logger/logger.service';
import { HomebridgeUpdateActionDto, PluginActionDto } from './plugins.dto';
import { PluginsService } from './plugins.service';
export declare class PluginsGateway {
    private pluginsService;
    private logger;
    constructor(pluginsService: PluginsService, logger: Logger);
    installPlugin(client: EventEmitter, pluginAction: PluginActionDto): Promise<boolean | WsException>;
    uninstallPlugin(client: EventEmitter, pluginAction: PluginActionDto): Promise<boolean | WsException>;
    updatePlugin(client: EventEmitter, pluginAction: PluginActionDto): Promise<boolean | WsException>;
    homebridgeUpdate(client: EventEmitter, homebridgeUpdateAction: HomebridgeUpdateActionDto): Promise<boolean | WsException>;
}
